package com.nisum.mytime.service;

import java.util.List;
import java.util.Map;

import com.nisum.mytime.exception.handler.MyTimeException;
import com.nisum.mytime.model.AccountInfo;

public interface AccountService {
	
	AccountInfo addAccount(AccountInfo account) throws MyTimeException;

	List<AccountInfo> getAccounts() throws MyTimeException;

	List<Map<Object, Object>> getAccountsList() throws MyTimeException;

	List<AccountInfo> validateAccounts(String accountName) throws MyTimeException;
	
}
